﻿using System.ComponentModel;
using System.Configuration;
using ff14bot.Helpers;

namespace Magitek.Settings
{
    public partial class MagitekSettings : JsonSettings
    {
        [Setting]
        [DefaultValue(false)]
        public bool BlackMageSpreadThunder { get; set; }

        [Setting, DefaultValue(20)]
        public float BlackMagePullRange { get; set; }

        [Setting, DefaultValue(true)]
        public bool BlackMageUseAOE { get; set; }

        [Setting, DefaultValue(true)]
        public bool BlackMageUseBlizzard2 { get; set; }

        [Setting, DefaultValue(25)]
        public float BlackMageBlizzardIIIMana { get; set; }

        [Setting, DefaultValue(4000)]
        public int BlackMageUseThunderAboveHp { get; set; }

        [Setting, DefaultValue(true)]
        public bool BlackMageUseRagingStrikes { get; set; }

        [Setting, DefaultValue(true)]
        public bool BlackMageUseSingleFlare { get; set; }

        [Setting, DefaultValue(40)]
        public int BlackMageUseManaWallHp { get; set; }

        [Setting, DefaultValue(50)]
        public int BlackMageUseManawardHp { get; set; }

        [Setting, DefaultValue(30)]
        public int BlackMagePhysickHp { get; set; }

        [Setting, DefaultValue(true)]
        public bool BlackMageUseSurecast { get; set; }

        [Setting, DefaultValue(true)]
        public bool BlackMageUsePhysick { get; set; }
    }
}