﻿using System.ComponentModel;
using System.Configuration;
using ff14bot.Helpers;

namespace Magitek.Settings
{
    public partial class MagitekSettings : JsonSettings
    {
        [Setting]
        [DefaultValue(true)]
        public bool ScholarMultiDOT { get; set; }

        [Setting]
        [DefaultValue(true)]
        public bool ScholarUseMiasmaII { get; set; }

        [Setting]
        [DefaultValue(true)]
        public bool ScholarUseBane { get; set; }

        [Setting]
        [DefaultValue(40)]
        public int ScholarRouseHp { get; set; }

        [Setting]
        [DefaultValue(true)]
        public bool ScholarLetMagitekControlPet { get; set; }

        [Setting, DefaultValue(true)]
        public bool ScholarUseLustrate { get; set; }

        [Setting, DefaultValue(true)]
        public bool ScholarUseSuccor { get; set; }

        [Setting, DefaultValue(25)]
        public float ScholarPullRange { get; set; }

        [Setting, DefaultValue(75)]
        public int ScholarSustainHp { get; set; }

        [Setting, DefaultValue(75)]
        public int ScholarPetPhysickHp { get; set; }

        [Setting, DefaultValue(75)]
        public int ScholarPetAdloquiumHp { get; set; }

        [Setting, DefaultValue(70)]
        public int ScholarEnergyDrainMana { get; set; }

        [Setting, DefaultValue(true)]
        public bool ScholarUseVirus { get; set; }

        [Setting, DefaultValue(true)]
        public bool ScholarUseEnergyDrain { get; set; }

        [Setting, DefaultValue(true)]
        public bool ScholarUseEos { get; set; }

        [Setting, DefaultValue(false)]
        public bool ScholarUseSelene { get; set; }

        [Setting, DefaultValue(true)]
        public bool ScholarSingleTargetFlare { get; set; }

        [Setting, DefaultValue(true)]
        public bool ScholarSwiftcastRez { get; set; }

        [Setting, DefaultValue(false)]
        public bool ScholarUseSacredSoil { get; set; }

        [Setting, DefaultValue(85)]
        public int ScholarAetherflowMp { get; set; }

        [Setting, DefaultValue(70)]
        public int ScholarPhysickHp { get; set; }

        [Setting, DefaultValue(50)]
        public int ScholarLustrateHp { get; set; }

        [Setting, DefaultValue(80)]

        public int ScholarAdloquiumHp { get; set; }

        [Setting, DefaultValue(80)]
        public int ScholarTankPhysickHp { get; set; }

        [Setting, DefaultValue(65)]
        public int ScholarTankLustrateHp { get; set; }

        [Setting, DefaultValue(90)]
        public int ScholarTankAdloquiumHp { get; set; }

        [Setting, DefaultValue(80)]
        public int ScholarSuccorHp { get; set; }

        [Setting, DefaultValue(85)]
        public int ScholarSacredSoilHp { get; set; }

        [Setting, DefaultValue(false)]
        public bool ScholarProtectOOC { get; set; }

        [Setting, DefaultValue(true)]
        public bool ScholarStoneskinOOC { get; set; }

        [Setting, DefaultValue(false)]
        public bool ScholarDoDPS { get; set; }

        [Setting, DefaultValue(80)]
        public int ScholarStopDPSMana { get; set; }
    }
}
