﻿using System.ComponentModel;
using System.Configuration;
using ff14bot.Helpers;

namespace Magitek.Settings
{
    public partial class MagitekSettings : JsonSettings
    {
        [Setting, DefaultValue(5)]
        public float WarriorPullRange { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseOverpower { get; set; }

        [Setting, DefaultValue(false)]
        public bool WarriorToggleMode { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseBerserk { get; set; }

        [Setting, DefaultValue(false)]
        public bool WarriorDPSRotation { get; set; }

        [Setting, DefaultValue(30)]
        public int WarriorFlashStopMp { get; set; }

        [Setting, DefaultValue(30)]
        public int WarriorOverpowerStopTp { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseCover { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorSaveBrutalSwing { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseTomahawk { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseFracture { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorStormPriority { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseProvoke { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseDefiance { get; set; }
         
        [Setting, DefaultValue(true)]
        public bool WarriorUseStormsPath { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseInternalRelease { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseInfuriate { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseStormsEye { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseFlash { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseAOE { get; set; }

        [Setting, DefaultValue(3)]
        public int WarriorUseAOENumber { get; set; }

        [Setting, DefaultValue(true)]
        public bool WarriorUseInnerBeast { get; set; }

        [Setting, DefaultValue(15)]
        public int WarriorUseHolmGangHp { get; set; }

        [Setting, DefaultValue(50)]
        public int WarriorUseThrillOfBattleHp { get; set; }

        [Setting, DefaultValue(60)]
        public int WarriorUseSecondWindHp { get; set; }

        [Setting, DefaultValue(80)]    
        public int WarriorUseFeatherfootHp { get; set; }

        [Setting, DefaultValue(70)]
        public int WarriorUseConvalescenceHp { get; set; }

        [Setting, DefaultValue(30)]
        public int WarriorUseAwarenessHp { get; set; }

        [Setting, DefaultValue(40)]
        public int WarriorUseVengeanceHp { get; set; }

        [Setting, DefaultValue(70)]

        public int WarriorUseForesightHp { get; set; }

        [Setting, DefaultValue(90)]
        public int WarriorUseBloodbath { get; set; }
    }
}
