﻿using System;
using System.ComponentModel;
using System.Configuration;
using ff14bot.Helpers;

namespace Magitek.Settings
{
    public partial class MagitekSettings : JsonSettings
    {
        public BindingList<String> _bardDontVenomousList = new BindingList<string>();

        [Setting, DefaultValue(25)]
        public float BardPullRange { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseAOE { get; set; }

        [Setting, DefaultValue(90)]
        public int BardTargetHPBelowToUseBuffs { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseSwiftsong { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseFlamingArrow { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseRepellingShot { get; set; }

        [Setting, DefaultValue(50)]
        public int BardStopAnythingButMagesBallad { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseMagesBallad { get; set; }

        [Setting, DefaultValue(60)]
        public int BardInvigorateTp { get; set; }

        [Setting, DefaultValue(40)]
        public int BardStartMagesBalladMp { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseArmysPaeon { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseFoeRequieum { get; set; }

        [Setting, DefaultValue(25)]
        public int BardStartArmysPaeonTp { get; set; }

        [Setting, DefaultValue(2500)]
        public int BardUseWindbiteAbove { get; set; }

        [Setting, DefaultValue(2500)]
        public int BardUseVenomousAbove { get; set; }

        [Setting, DefaultValue(60)]
        public int BardUseSecondWindHp { get; set; }

        [Setting, DefaultValue(60)]
        public int BardUseInvigorateTp { get; set; }

        [Setting, DefaultValue(60)]
        public int BardUseFeatherFootHp { get; set; }

        [Setting, DefaultValue(20)]
        public int BardStopAOETp { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseBuffs { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseInternalRelease { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseRagingStrikes { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseHawksEye { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseBarrage { get; set; }

        [Setting, DefaultValue(true)]
        public bool BardUseBloodForBlood { get; set; }

    }
}
