﻿using System.ComponentModel;
using System.Configuration;
using ff14bot.Helpers;

namespace Magitek.Settings
{
    public partial class MagitekSettings : JsonSettings
    {
        [Setting, DefaultValue(true)]
        public bool DragoonSaveBuffs { get; set; }

        [Setting, DefaultValue(25)]
        public float DragoonPullRange { get; set; }

        [Setting, DefaultValue(true)]
        public bool DragoonUseDragonfireDive { get; set; }

        [Setting, DefaultValue(true)]
        public bool DragoonUseBuffs { get; set; }
    
        [Setting, DefaultValue(false)]
        public bool DragoonUsePiercingTalon { get; set; }

        [Setting, DefaultValue(true)]
        public bool DragoonUseJump { get; set; }

        [Setting, DefaultValue(false)]
        public bool DragoonUseSpineshatterDive { get; set; }

        [Setting, DefaultValue(false)]
        public bool DragoonUseAOE { get; set; }

        [Setting, DefaultValue(3)]
        public int DragoonUseAOENumber { get; set; }

        [Setting, DefaultValue(50)]
        public int DragoonUseInvigorateTp { get; set; }

        [Setting, DefaultValue(40)]
        public int DragoonUseSecondWindHp { get; set; }

        [Setting, DefaultValue(70)]
        public int DragoonUseBloodbathHp { get; set; }
    }
}