﻿using System;
using System.ComponentModel;
using System.Configuration;
using ff14bot.Helpers;

namespace Magitek.Settings
{
    public partial class MagitekSettings : JsonSettings
    {
        public BindingList<String> _monksteelpeakinterruptList = new BindingList<string>();
        public BindingList<String> _monkarmyofthedestroyerinterruptList = new BindingList<string>();

        [Setting, DefaultValue(true)]
        public bool MonkUseSteelPeakInterrupt { get; set; }

        [Setting, DefaultValue(true)]
        public bool MonkUseBuffs { get; set; }

        [Setting, DefaultValue(25)]
        public float MonkPullRange { get; set; }

        [Setting, DefaultValue(true)]
        public bool MonkUseAOE { get; set; }

        [Setting,DefaultValue(3)]
        public int MonkUseAOENumber { get; set; }

        [Setting, DefaultValue(true)]
        public bool MonkUseFracture { get; set; }

        [Setting, DefaultValue(true)]
        public bool MonkUseShoulderTackle { get; set; }

        [Setting, DefaultValue(true)]
        public bool MonkUseHowlingFistSingle { get; set; }

        [Setting, DefaultValue(30)]
        public int MonkUseMantraHp { get; set; }

        [Setting, DefaultValue(60)]
        public int MonkUseInvigorateTp { get; set; }

        [Setting, DefaultValue(60)]
        public int MonkUseFeatherfootHp { get; set; }

        [Setting, DefaultValue(50)]
        public int MonkUseSecondWindHp { get; set; }

        [Setting, DefaultValue(false)]
        public bool MonkUseFistsOfWind { get; set; }

        [Setting, DefaultValue(50)]
        public int MonkUseFistsOfEarthHp { get; set; }
    }
}
