﻿using System.ComponentModel;
using System.Configuration;
using ff14bot.Helpers;

namespace Magitek.Settings
{
    public partial class MagitekSettings : JsonSettings
    {
        [Setting, DefaultValue(25)]
        public float PaladinPullRange { get; set; }

        [Setting, DefaultValue(false)]
        public bool PaladinUseFlash { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseShieldSwipe { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinCircleSingle { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseShieldOath { get; set; }

        [Setting, DefaultValue(50)]
        public int PaladinUseRampartHpPercent { get; set; }

        [Setting, DefaultValue(40)]
        public int PaladinUseCureHp { get; set; }

        [Setting, DefaultValue(false)]
        public bool PaladinUseCure { get; set; }

        [Setting, DefaultValue(70)]
        public int PaladinUseForesightHpPercent { get; set; }

        [Setting, DefaultValue(40)]
        public int PaladinUseSentinelHpPercent { get; set; }

        [Setting, DefaultValue(70)]
        public int PaladinUseConvalescenceHpPercent { get; set; }

        [Setting, DefaultValue(60)]
        public int PaladinUseBulwarkHpPercent { get; set; }

        [Setting, DefaultValue(15)]
        public int PaladinUseHallowedGroundHpPercent { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseHallowedGround { get; set; }

        [Setting, DefaultValue(15)]
        public int PaladinUseAwarenessHpPercent { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseAwareness { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseCover { get; set; }

        [Setting, DefaultValue(10)]
        public int PaladinUseCoverHp { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseCircleOfScornSingle { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseFracture { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseShieldLob { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseTemperedWill { get; set; }

        [Setting, DefaultValue(false)]
        public bool PaladinUseRiotBlade { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseProvoke { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseSpiritsWithin { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseSpiritsWithinOnlyToInterrupt { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseBashToInterrupt { get; set; }

        [Setting, DefaultValue(20)]
        public int PaladinUseRiotBladeMpPercent { get; set; }

        [Setting, DefaultValue(20)]
        public int PaladinStopFlashMpPercent { get; set; }

        [Setting, DefaultValue(true)]
        public bool PaladinUseAOE { get; set; }

    }
}
