﻿using System.ComponentModel;
using System.Configuration;
using ff14bot.Helpers;

namespace Magitek.Settings
{
    public partial class MagitekSettings : JsonSettings
    {

        [Setting, DefaultValue(25)]
        public float SummonerPullRange { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerGarudaUseAerialOnSingle { get; set; }

        [Setting, DefaultValue(false)]
        public bool SummonerSwiftcastFlare { get; set; }

        [Setting, DefaultValue(false)]
        public bool SummonerUsePotentPoisoningPotion { get; set; }

        [Setting, DefaultValue(false)]
        public bool SummonerLetMagitekControlPet { get; set; }

        [Setting, DefaultValue(false)]
        public bool SummonerContagionWithPotion { get; set; }

        [Setting, DefaultValue(false)]
        public bool SummonerSaveBuffs { get; set; }

        [Setting, DefaultValue(40)]
        public int SummonerHealPetPhysick { get; set; }

        [Setting, DefaultValue(60)]
        public int SummonerHealPetSustain { get; set; }

        [Setting,DefaultValue(40)]
        public int SummonerHealSelf { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerSingleTargetFlare { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerUseEyeforanEye { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerUseVirus { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerUseQuellingStrikes { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerUseBuffs { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerUseAOE { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerUseFlare { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerUseMiasmaII { get; set; }

        [Setting, DefaultValue(20)]
        public int SummonerEnergyDrainMana { get; set; }

        [Setting, DefaultValue(40)]
        public int SummonerEnergyDrainHealth { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerSwiftcastRez { get; set; }

        [Setting, DefaultValue(3000)]
        public int SummonerUSeDOTsHealth { get; set; }

        [Setting, DefaultValue(30)]
        public int SummonerUseDOTsHealthPercent { get; set; }

        [Setting, DefaultValue(false)]
        public bool SummonerUseIfrit { get; set; }

        [Setting, DefaultValue(true)]
        public bool SummonerUseGaruda { get; set; }

        [Setting, DefaultValue(false)]
        public bool SummonerUseTitan { get; set; }

    }
}
